org.springframework.data.relational.core.sql

## Interface Select

All Superinterfaces:
  Segment, Visitable

    public interface Select
    extends Segment, Visitable

AST for a `SELECT` statement. Visiting order:

1. Self
2. `SELECT columns`
3. `FROM tables` clause
4. `JOINs`
5. `WHERE` condition
6. `ORDER BY fields`

Since:
  1.1
Author:
  Mark Paluch, Myeonghyeon Lee
See Also:
  `StatementBuilder`, `SelectBuilder`, `SQL`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static SelectBuilder` `builder()` Creates a new `SelectBuilder`.
`From` `getFrom()`
`OptionalLong` `getLimit()` Optional limit.
`LockMode` `getLockMode()`
`OptionalLong` `getOffset()` Optional offset.
`List<OrderByField>` `getOrderBy()`
`boolean` `isDistinct()` Flag if this select is to return distinct rows.

### Methods inherited from interface org.springframework.data.relational.core.sql.Segment

`equals, hashCode, toString`

### Methods inherited from interface org.springframework.data.relational.core.sql.Visitable

`visit`

### Method Detail

#### builder

    static SelectBuilder builder()

Creates a new `SelectBuilder`.

Returns:
  a new `SelectBuilder`.

#### getFrom

    From getFrom()

#### getOrderBy

    List<OrderByField> getOrderBy()

Returns:
  the `List` of `ORDER BY` fields.

#### getLimit

    OptionalLong getLimit()

Optional limit. Used for limit/offset paging.

Returns:

#### getOffset

    OptionalLong getOffset()

Optional offset. Used for limit/offset paging.

Returns:

#### isDistinct

    boolean isDistinct()

Flag if this select is to return distinct rows.

Returns:

#### getLockMode

    @Nullable
    LockMode getLockMode()